Subject: Re: bug#49936: Error: /typecheck in --setfileposition--

From: Ikumi Keita <[email-masked]>
Date: Wed, 11 Aug 2021 12:43:04 +0900

Hi Wynn,

>>>>> Wynn Stirling <[email-masked]> writes:
> I am receiving the error on the subject line when I try to preview inside
> aquamacs. Googling suggests downgrading the version of ghostscript but I
> don't want to do that. Is there a fix for this issue?

> Emacs  : Aquamacs 3.5  GNU Emacs 25.3.50.1 (x86_64-apple-darwin16.7.0, NS
> appkit-1504.83 Version 10.12.6 (Build 16G2016))
> dated 2019-08-18 rev. 70b7398da506a9a53867909fa12e5cb3a07ba5c9
> Package: 2018-01-28

I think that you are using too old AUCTeX.

> Run buffer contents:

> Preview-PDF2DSC finished at Sat Aug  7 17:50:58
> Running `Preview-Ghostscript' with ``/Library/TeX/texbin/rungs
> -dOutputFile\=\(_region_.prv/tmp411410vc/pr1-\%d.png\) -q -dDELAYSAFER
> -dNOPAUSE -DNOPLATFONTS -dPrinted -dTextAlphaBits\=4 -dGraphicsAlphaBits\=4
> -sDEVICE\=png16m -r414x414''

This form of invocation of pdf2dsc turned out to be bogus and was fixed
a few years ago.

I recommend to upgrade AUCTeX. Using elpa would be convenient:

1. Delete the current installation of AUCTeX.
2. Restart emacs sesstion.
3. M-x package-install RET autex RET

If it doesn't work for you, please report back the detail.

Regards,
Ikumi Keita